--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Constructs and executes UPDATE statement for given attributes and a query
- !ruby/struct:SM::Flow::P 
  body: "@param [Hash(Property =&gt; Object)] attributes"
- !ruby/struct:SM::Flow::VERB 
  body: "  hash of attribute values to set, keyed by Property\n"
- !ruby/struct:SM::Flow::P 
  body: "@param [Collection] collection"
- !ruby/struct:SM::Flow::VERB 
  body: "  collection of records to be updated\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [Integer]"
- !ruby/struct:SM::Flow::VERB 
  body: "  the number of records updated\n"
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Adapters::DataObjectsAdapter#update
is_singleton: false
name: update
params: (attributes, collection)
visibility: public
